Subject: Re: What's cooking in git.git (Aug 2021, #02; Tue, 3)

From: SZEDER Gábor <[email-masked]>
Date: Wed, 4 Aug 2021 20:06:58 +0200

On Wed, Aug 04, 2021 at 12:22:44PM +0200, Ævar Arnfjörð Bjarmason wrote:
> > * ab/progress-users-adjust-counters (2021-07-23) 3 commits
> >  - entry: show finer-grained counter in "Filtering content" progress line
> >  - midx: don't provide a total for QSORT() progress
> >  - commit-graph: fix bogus counter in "Scanning merged commits" progress line
> >
> >  The code to show progress indicator in a few codepaths did not
> >  cover between 0-100%, which has been corrected.
> >
> >  Waiting for a clarification.
> >  cf. <[email-masked]>
> 
> I think that what SZEDER had to say in
> https://lore.kernel.org/git/[email-masked]/ should be
> enough to clear this to proceed forward.

Note that I also pointed out errors in the commit messages that should
be addressed before this patch series advances; see:

  https://public-inbox.org/git/[email-masked]/
  https://public-inbox.org/git/[email-masked]/

But none of these patches fixes regressions introduced in this release
cycle, so it's not urgent.

> I.e. this topic is missing his subsequent
> https://lore.kernel.org/git/[email-masked]/
> patch.
> 
> But as he notes we only encounter this in one of our tests (and are
> unlikely to in the wild).
> 
> Between this topic and my ab/only-single-progress-at-once I think we're
> better off getting those basic fixes in before proceeding with any
> tricky additions of BUG() and other assertions, per what I noted in
> https://public-inbox.org/git/[email-masked]/;
> i.e. that some of those assertions were themselves buggy.